Bug 1010656 - brlapi should create /etc/brlapi.key on installation
Summary: brlapi should create /etc/brlapi.key on installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: brltty
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-22 09:59 UTC by chrys87
Modified: 2013-10-09 14:37 UTC (History)
2 users (show)

Fixed In Version: brltty-4.5-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-30 00:28:46 UTC
Type: Bug


Attachments (Terms of Use)

Description chrys87 2013-09-22 09:59:06 UTC
Description of problem:
orca can not access to braille devices due an problem in the brlapi installation.
the installation of the brlapi doesnt generate the keyfile needed for it access.
This solves the problem and describe the debian way to generate this keyfile.

https://mail.gnome.org/archives/orca-list/2013-September/msg00150.html


How reproducible:
Install brltty; enable braille in orca.

Actual results:
Nothing happens

Expected results:
Orca presents the content of the screen to the braille

Additional info:
after create the keyfile and add me to the group it work as exepted

Comment 1 Jaroslav Škarvada 2013-09-23 09:54:00 UTC
(In reply to chrys87 from comment #0)
I will fix it sligthly different way than debian, but the upstream recommended way, in the brlapi package:

- added group brlapi, if not exists
- if there is no key on the system, the key is generated by mcookie and moved to the brlapi group, others don't have access to the key

You will need to add users which would have access to the brlapi group.

Comment 2 Fedora Update System 2013-09-23 11:56:25 UTC
brltty-4.5-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/brltty-4.5-8.fc19

Comment 3 Fedora Update System 2013-09-23 12:55:25 UTC
brltty-4.5-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/brltty-4.5-9.fc20

Comment 4 Fedora Update System 2013-09-24 00:24:59 UTC
Package brltty-4.5-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing brltty-4.5-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17435/brltty-4.5-8.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-09-30 00:28:46 UTC
brltty-4.5-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-10-09 14:37:12 UTC
brltty-4.5-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.